curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l", {
method: "PUT",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l")
request = Net::HTTP::Put.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"first_name\": \"aashii\",",
" \"last_name\": \"aroraa\",",
" \"abn\": \"12345678918\",",
" \"address\": \"123 Melbourne, NSW\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"7888886589\",",
" \"type\": 1,",
" \"gst_registered\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""first_name"": ""aashii"",
""last_name"": ""aroraa"",
""abn"": ""12345678918"",
""address"": ""123 Melbourne, NSW"",
""email"": ""jane.smith@example.com"",
""phone"": ""7888886589"",
""type"": 1,
""gst_registered"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Customer updated successfully",
"account_id": "fd07f72e-c0f9-4953-b7ed-79693ef29ff0",
"customer_id": "cus_sgpv6gphmhlf6kmqz6l"
}
Customers
Update customer
This endpoint allows you to update an existing customer’s information.
PUT
/
customer
/
{customer_id}
curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l", {
method: "PUT",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l")
request = Net::HTTP::Put.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"first_name\": \"aashii\",",
" \"last_name\": \"aroraa\",",
" \"abn\": \"12345678918\",",
" \"address\": \"123 Melbourne, NSW\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"7888886589\",",
" \"type\": 1,",
" \"gst_registered\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""first_name"": ""aashii"",
""last_name"": ""aroraa"",
""abn"": ""12345678918"",
""address"": ""123 Melbourne, NSW"",
""email"": ""jane.smith@example.com"",
""phone"": ""7888886589"",
""type"": 1,
""gst_registered"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Customer updated successfully",
"account_id": "fd07f72e-c0f9-4953-b7ed-79693ef29ff0",
"customer_id": "cus_sgpv6gphmhlf6kmqz6l"
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Path Parameters
string
required
The unique identifier of the customer to update (prefixed with
cus_).Request Body Parameters
string
The updated first name of the customer.
string
The updated last name of the customer.
string
The ABN (Australian Business Number) of the customer. Must be exactly 11 digits.
string
The updated address of the customer.
string
The updated email address of the customer.
string
The updated phone number of the customer.
number
The type of customer (e.g.
1 for Individual, 2 for Company). Defaults to 1 (INDIVIDUAL) if not provided.boolean
Indicates whether GST is registered for the customer.
Response Body
The response is in JSON format and contains:number
The HTTP status code of the response.
string
Success message description.
string
The unique identifier for the user account / organization.
string
The unique identifier of the customer (prefixed with
cus_).Response Codes
| Code | Description |
|---|---|
| 200 | Customer updated successfully. |
| 400 | Bad Request. Missing required parameters or invalid formatting. |
| 401 | Unauthorized. Invalid or missing credentials. |
| 404 | Not Found. The specified customerId does not exist. |
| 500 | Internal Server Error. |
curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l", {
method: "PUT",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l")
request = Net::HTTP::Put.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"first_name\": \"aashii\",",
" \"last_name\": \"aroraa\",",
" \"abn\": \"12345678918\",",
" \"address\": \"123 Melbourne, NSW\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"7888886589\",",
" \"type\": 1,",
" \"gst_registered\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"first_name": "aashii",
"last_name": "aroraa",
"abn": "12345678918",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "7888886589",
"type": 1,
"gst_registered": false
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_sgpv6gphmhlf6kmqz6l");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""first_name"": ""aashii"",
""last_name"": ""aroraa"",
""abn"": ""12345678918"",
""address"": ""123 Melbourne, NSW"",
""email"": ""jane.smith@example.com"",
""phone"": ""7888886589"",
""type"": 1,
""gst_registered"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Customer updated successfully",
"account_id": "fd07f72e-c0f9-4953-b7ed-79693ef29ff0",
"customer_id": "cus_sgpv6gphmhlf6kmqz6l"
}
Last modified on November 10, 2026
Was this page helpful?
